# Uses of Class
java.util.concurrent.atomic.AtomicIntegerFieldUpdater

Packages that use AtomicIntegerFieldUpdater
Package
Description
java.util.concurrent.atomic
A small toolkit of classes that support lock-free thread-safe programming on single variables.

- ## Uses of AtomicIntegerFieldUpdater in java.util.concurrent.atomic

  Methods in java.util.concurrent.atomic that return AtomicIntegerFieldUpdater
  Modifier and Type
  Method
  Description
  `static <U> AtomicIntegerFieldUpdater<U>`
  AtomicIntegerFieldUpdater.`newUpdater(Class<U> tclass, String fieldName)`
  Creates and returns an updater for objects with the given field.